Supported Configurations - Objectivity/DB 11.2.4

Printer-friendly version
  • Certified Download Available Certified Download Available
  • Supported - Certified Upon Request Download Available (Certification Upon Request)
  • Unavailable Unavailable
  • Product Definitions

Supported configurations for our most recent release.

WindowsWindows Compiler 32-bit 64-bit
Windows 7 | Windows 8 VC11 Certified Download Available 1 Certified Download Available 1
  VC10 Certified Download Available 1 Certified Download Available 1
  VC9 Certified Download Available 2 Certified Download Available 2
Windows Server 2012 VC11 Unavailable Supported - Certified Upon Request 1
  VC10 Unavailable Certified Download Available 1
  VC9 Unavailable Certified Download Available 2
Mac OSMac OS Compiler 32-bit 64-bit
Mac OS X 10.7 gcc 4.2.1 Unavailable Certified Download Available 5,7
Mac OS X 10.6 gcc 4.2.1 Unavailable Certified Download Available 5,6
LinuxLinux 8 Compiler 32-bit 64-bit
Linux gcc 4.2 or higher Certified Download Available Certified Download Available
SolarisSolaris 9 Compiler 32-bit 64-bit10
Sun Solaris 10 (Sun Solaris x86/AMD Opteron) Studio 12/C++5.9 Unavailable Supported - Certified Upon Request
Sun Solaris 10 (SPARC) Studio 12/C++5.9 Supported - Certified Upon Request Supported - Certified Upon Request
Sun Solaris 8 (SPARC) Studio 12/C++5.9 Supported - Certified Upon Request Supported - Certified Upon Request

 

Footnotes (R11.2.4):

1 - .NET Framework 4.0 must be installed.
2 - .NET Framework 3.5 SP1 must be installed.
3 - Service Pack 2.
4 - Service Pack 3.
5 - SQL unavailable on this platform.
6 - Mac Snow Leopard OS certified with Java JDK 1.6.0_24.
7 - Mac Lion OS certified with Java JDK 1.6.0_26.
8 - Compatible with most Linux distributions. Latest certified compiler is gcc 4.7.3.
9 - Certified compilers listed, issues reported with any newer compilers (supported by Sun) will also be addressed. Requires STLPort4.
10 - Objectivity/Assist (compatible with Eclipse 3.5) unavailable on this platform.
11 - Active Schema for Java (ASJ) unavailable on this platform.

Specific Product Requirements (if applicable and unless otherwise noted):

Objectivity for Java (OFJ) - Java JDK 1.6.0_19, Java JDK 1.7 (All except Mac)
Objectivity/SQL++ (Objectivity/ODBC) - SQL/ODBC 7.4
Python - Python 2.7.2

Product Definitions:

OFJ = Objectivity for Java
HA = High Availability (formerly FTO/DRO)
AS = Active Schema for C++
ASJ = Active Schema for Java
EJB = Enterprise Java Beans (requires BEA WebLogic Application Server 6.1sp3 or WebSphere 6.1)
IPLS = In process lock server
PQE = Parallel Query Engine


Date: 
Thursday, July 17, 2014
Product: 
Objectivity/DB
Version: 
11.2.4